#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0xa181df5e, "mma9551_read_accel_chan" },
	{ 0xa42e3319, "mma9551_read_status_words" },
	{ 0xda33e0c, "mma9551_gpio_config" },
	{ 0x13d6134d, "i2c_client_get_device_id" },
	{ 0xa5e9938d, "devm_iio_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ab5297, "mma9551_read_version" },
	{ 0x3250a621, "devm_request_threaded_irq" },
	{ 0x27c887e6, "pm_runtime_enable" },
	{ 0xc1903647, "pm_runtime_set_autosuspend_delay" },
	{ 0xcb27a727, "__pm_runtime_use_autosuspend" },
	{ 0xecb943bd, "__iio_device_register" },
	{ 0x9eec0622, "mma9551_read_config_words" },
	{ 0x91b48062, "mma9551_app_reset" },
	{ 0x54daf575, "mma9551_write_config_words" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xa0bdaeb8, "is_acpi_device_node" },
	{ 0xd0c1666a, "acpi_match_device" },
	{ 0x18f6d77, "iio_push_event" },
	{ 0xfd2a379b, "iio_enum_read" },
	{ 0x3f9def27, "iio_enum_write" },
	{ 0x5945fc75, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa9f10178, "i2c_register_driver" },
	{ 0xc1d7a418, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x2747fa11, "iio_device_unregister" },
	{ 0xb7852854, "__pm_runtime_disable" },
	{ 0x44c51b0f, "__pm_runtime_set_status" },
	{ 0x3bad267c, "iio_get_time_ns" },
	{ 0xc60f6ac9, "mma9551_write_config_word" },
	{ 0x785c8df3, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1a46f0e, "mma9551_set_power_state" },
	{ 0x9fa8fc5a, "i2c_del_driver" },
	{ 0xa36858e0, "mma9551_read_status_word" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "0BF478B58F0E65D92F7213D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
