#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xd543e850, "");
SYMBOL_CRC(flow_resources_alloc, 0x8a8ab082, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x0dcfbb8e, "");
SYMBOL_CRC(flow_resources_add, 0x96d563a6, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xb6b7df23, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xece18e83, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x644369f1, "");
SYMBOL_CRC(uverbs_idr_class, 0xea3b01ad, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xe6aa46dd, "");
SYMBOL_CRC(uverbs_fd_class, 0x7ebd8c85, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xe715b155, "");
SYMBOL_CRC(_uverbs_alloc, 0x9ad6485d, "");
SYMBOL_CRC(uverbs_get_flags64, 0xb2785cb3, "");
SYMBOL_CRC(uverbs_get_flags32, 0x40e75ac0, "");
SYMBOL_CRC(uverbs_copy_to, 0x7661bb97, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x714dc662, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xa56aaa6f, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x274d6cc6, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xe168a4c9, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x34c4d11e, "");
SYMBOL_CRC(ib_umem_get, 0x24f8dd05, "");
SYMBOL_CRC(ib_umem_release, 0xf30b0b26, "");
SYMBOL_CRC(ib_umem_copy_from, 0xaf32640a, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x2c065a3e, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xb040a7cb, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x40068cd0, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xd14a5eda, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xb4818cb9, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xf525bc65, "");
SYMBOL_CRC(ib_umem_odp_get, 0x9b1b8c52, "");
SYMBOL_CRC(ib_umem_odp_release, 0x93518bc8, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x01da4541, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x751b7a9e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21f58438, "dma_buf_get" },
	{ 0xeabfba2d, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xd5a43273, "nla_put" },
	{ 0x206fa4da, "ww_mutex_lock" },
	{ 0x6715eede, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x66f60ef5, "ib_qp_usecnt_inc" },
	{ 0x44240b5c, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf84abf6f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xedbbe1bf, "ib_destroy_qp_user" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe55b3811, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbbb7a88b, "rdma_create_user_ah" },
	{ 0x728a43dd, "rdma_destroy_ah_user" },
	{ 0x13231bb2, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x41ec827f, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xfb0df8e1, "__mmdrop" },
	{ 0x950d7cdd, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf77372f, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x7b6a2a01, "__mmap_lock_do_trace_start_locking" },
	{ 0x2cb8c20e, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x11a0d631, "igrab" },
	{ 0x4e913aa3, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xeff50719, "mmput" },
	{ 0x8cdc474a, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x87e89491, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xcbde0af6, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe267afbd, "__mmap_lock_do_trace_released" },
	{ 0x29f23150, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x46f187f4, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x42db764c, "ib_dealloc_xrcd_user" },
	{ 0x375e5028, "dma_buf_detach" },
	{ 0x7c1d9c32, "stream_open" },
	{ 0xf92b8310, "mmu_interval_notifier_insert" },
	{ 0xef2d1791, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xfac973c1, "ib_open_qp" },
	{ 0x54353031, "ib_dealloc_pd_user" },
	{ 0xb1f5fa2b, "rdma_get_gid_attr" },
	{ 0xd167560b, "dma_unmap_sg_attrs" },
	{ 0x9117b58d, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7e990391, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x772165ae, "rdma_query_gid_table" },
	{ 0x5e0d553a, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb8778c13, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8932b8ba, "ib_attach_mcast" },
	{ 0xf53fed28, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x949fb38d, "ib_destroy_wq_user" },
	{ 0xa218490b, "put_pid" },
	{ 0x8e106c58, "class_register" },
	{ 0x20c929f5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xce8150a8, "rdma_user_mmap_entry_put" },
	{ 0x505c1a8e, "pin_user_pages_fast" },
	{ 0x6b706b63, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x405ad70e, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xbff4eb7f, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x35587b0d, "ib_unregister_client" },
	{ 0x6a3635be, "show_class_attr_string" },
	{ 0x7ff8f2bf, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6dff3b8d, "dev_set_name" },
	{ 0x7c270833, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xeb552cc7, "mmu_interval_read_begin" },
	{ 0xa0e68fc8, "ib_create_qp_user" },
	{ 0xf05cf5f9, "dma_resv_wait_timeout" },
	{ 0x9607fc41, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xf9f92eec, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x412bf9ce, "kill_fasync" },
	{ 0xda539662, "dma_unmap_page_attrs" },
	{ 0x4fceb857, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x1ce146c4, "fget" },
	{ 0x62388819, "__put_task_struct" },
	{ 0xb4c199b3, "ib_query_srq" },
	{ 0x6b3c2d10, "ww_mutex_unlock" },
	{ 0x1006dcf8, "device_initialize" },
	{ 0xf764e95b, "__dynamic_ibdev_dbg" },
	{ 0x55074c1d, "ib_rdmacg_try_charge" },
	{ 0xca183789, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x317e769c, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xa82a5083, "unpin_user_page_range_dirty_lock" },
	{ 0xef214213, "iput" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x6997de9b, "dma_buf_unpin" },
	{ 0x9c11b101, "zap_vma_ptes" },
	{ 0x9cff02ef, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2c9a6039, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xffa65cf, "rdma_dev_access_netns" },
	{ 0x3d02d01, "get_device" },
	{ 0x6b3790c2, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9116bb45, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x35f8e9cd, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x161a5482, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xa9514cf5, "ib_destroy_srq_user" },
	{ 0x69804dbc, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xa5cc2033, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47cde828, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d53cfcc, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xbdaf278c, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc4d46cca, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x21a84d10, "ib_modify_qp_with_udata" },
	{ 0x8e54aeb5, "ib_register_event_handler" },
	{ 0xe76dc816, "ib_detach_mcast" },
	{ 0xcbd356d6, "dma_buf_map_attachment" },
	{ 0x313adc44, "__free_pages" },
	{ 0x7b2164a8, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x28890a6d, "module_put" },
	{ 0x1b1c3ae2, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcbb5b999, "compat_ptr_ioctl" },
	{ 0xed20c257, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x4babb46c, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x6f66bfd2, "fput" },
	{ 0xa585a03c, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x83738568, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xcdca1f51, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "6FA0407CBBF47EB89B26238");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
