#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd70f82db, "eth_type_trans" },
	{ 0xe73955a9, "napi_gro_receive" },
	{ 0x2d7627d6, "napi_complete_done" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x14744c18, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xda3e1963, "pci_enable_device" },
	{ 0x1b21247, "pci_request_regions" },
	{ 0xb610e20d, "pci_set_master" },
	{ 0x591e6623, "dma_set_mask" },
	{ 0x12befa04, "alloc_etherdev_mqs" },
	{ 0x623cd50, "devm_ioremap" },
	{ 0x1bf292ef, "netif_napi_add_weight" },
	{ 0x69059bfa, "register_netdev" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6c91e2ed, "dma_free_attrs" },
	{ 0xb38fd9a1, "dma_alloc_attrs" },
	{ 0x566d875e, "netdev_info" },
	{ 0xbb4ee27a, "netif_device_attach" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xea765677, "netdev_err" },
	{ 0xf78ca43d, "netif_tx_wake_queue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x593f683c, "napi_enable" },
	{ 0x24d273d1, "add_timer" },
	{ 0xf7187e0c, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4bc36379, "netif_carrier_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x98c72f44, "napi_schedule_prep" },
	{ 0xe29d803e, "dev_kfree_skb_irq_reason" },
	{ 0x8bc03d9c, "netif_carrier_on" },
	{ 0x2a4041eb, "__napi_schedule" },
	{ 0xb98cb693, "__dynamic_netdev_dbg" },
	{ 0xd97bf461, "pv_ops" },
	{ 0xade7172f, "eth_validate_addr" },
	{ 0xd6b1235c, "param_array_ops" },
	{ 0x89047601, "param_ops_bool" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa67d9e0e, "__pci_register_driver" },
	{ 0xb6317ec7, "netif_device_detach" },
	{ 0xfff7a962, "device_set_wakeup_enable" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x27d07d7a, "unregister_netdev" },
	{ 0x454ec264, "free_netdev" },
	{ 0x15698784, "pci_release_regions" },
	{ 0x59df29a4, "pci_disable_device" },
	{ 0x1e0b18de, "mii_ethtool_set_link_ksettings" },
	{ 0x3b79e094, "mii_ethtool_get_link_ksettings" },
	{ 0x1a9e605b, "mii_link_ok" },
	{ 0xf2539f8d, "mii_nway_restart" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1572520d, "dev_addr_mod" },
	{ 0x2d0e98aa, "pci_unregister_driver" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0xda539662, "dma_unmap_page_attrs" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x47cde828, "dma_map_page_attrs" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001022d00007462sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "C7384494CD8891F984AA0F1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
