#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff64fbca, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf44045f7, "phy_restore_page" },
	{ 0x2ee182ec, "phy_write_paged" },
	{ 0xa9542ccc, "mdiobus_read" },
	{ 0x22efcedb, "phy_modify" },
	{ 0xcb95373d, "genphy_soft_reset" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc02e40c9, "ethnl_cable_test_pulse" },
	{ 0x4ec6b7cd, "ethnl_cable_test_step" },
	{ 0xb88a2bf5, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x3c23dd5b, "phy_save_page" },
	{ 0xf9fe8978, "phy_trigger_machine" },
	{ 0x71766e0a, "phy_error" },
	{ 0x7124b735, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf2a8ef23, "devm_hwmon_device_register_with_info" },
	{ 0x85a93fe3, "phy_drivers_unregister" },
	{ 0xaebf0cb6, "mdiobus_write" },
	{ 0x88347d0d, "genphy_c45_ethtool_get_eee" },
	{ 0x70ebcea5, "phy_config_aneg" },
	{ 0x735b36a0, "phy_sfp_probe" },
	{ 0xcc399114, "genphy_read_lpa" },
	{ 0xd61dfd29, "phy_resolve_aneg_pause" },
	{ 0xf54af5a9, "genphy_update_link" },
	{ 0xdc500d08, "genphy_read_status_fixed" },
	{ 0xcb1a8dd7, "genphy_resume" },
	{ 0x82ec4dce, "genphy_suspend" },
	{ 0xdd64e639, "strscpy" },
	{ 0xbb0c204c, "phy_modify_changed" },
	{ 0x7b564531, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xae7a6f60, "genphy_check_and_restart_aneg" },
	{ 0x31fc4c8d, "genphy_setup_forced" },
	{ 0xdd0ad1a5, "phy_modify_paged_changed" },
	{ 0xfe52c526, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x39897246, "ethnl_cable_test_result" },
	{ 0xc4f92b28, "ethnl_cable_test_fault_length" },
	{ 0x2e464c29, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a2bae3c, "phy_drivers_register" },
	{ 0x540fdf3a, "phy_read_paged" },
	{ 0xb243203d, "phy_modify_paged" },
	{ 0x344afb07, "__mdiobus_read" },
	{ 0x58d2b7a5, "phy_select_page" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "76C4623A56A7D0794467A7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
