#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_get_nic_capability, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x09d5a6b3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0xcb3bae8f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x6dc0f665, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0x4522a97a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x01470247, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x921f4a3d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x5e453383, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0xf36ab125, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0x04ecb85b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0xfe076e1f, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0x0ea53740, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0xc010332e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0xad0048eb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x6ae01592, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x5e1a5d6b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x3f9f1126, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x8c6ed3d8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0xe3c0a3b3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x09816bd0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x4ae2c213, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0xd0d3e441, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0x71f41947, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0xeb9e8075, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x33d07a10, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x59343526, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x430ecc35, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x3ae59133, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x0b24346a, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xec721855, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x6ebb6ecb, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x5e03bab5, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0xc37a4717, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0xd4cd1abb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0xb7da579d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x0785195e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x24d7dc32, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0xb7c1f320, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0xec398a8d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x94adacb1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0xc5b83b14, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0xf7591a40, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x65403144, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_get_nic_capability, 0x3c4952bc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x7afcad0e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0xcd1915cd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0x24a32cd8, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0xe274a95d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x13908841, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0xade974b3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x1cf0d067, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x66ead6d9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0x8c9a63da, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x19715615, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x862c19e3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x77681738, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0x5fcb7008, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x81e6d5d0, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0x36829516, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0xdce4668d, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0xb5a54460, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0xd06c4c65, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x631d6288, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x05b8c2f3, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0xf64506fb, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x1a9712ad, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x5308b702, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x0a91f241, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x2c842d6f, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0x37f76917, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0xa3af49b6, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0xdaedac25, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0x5b8c4d9c, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x6ae00d73, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0x54d2e176, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0xc04b706e, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0xb25f66e6, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0xd688918d, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x692725fa, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0x1cb51c1d, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x856fca51, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc533eac2, "mt76_tx_status_skb_get" },
	{ 0x30c5d3e9, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xda539662, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x579cd6c5, "request_firmware" },
	{ 0x2709fffc, "mt76_get_rate" },
	{ 0x419988ae, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x50bf3437, "ieee80211_beacon_loss" },
	{ 0xfbf32d76, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb85d97e9, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe08cf7ee, "wake_up_process" },
	{ 0x2a63177c, "ieee80211_find_sta" },
	{ 0x469663ab, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf8909fcb, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x359ea5d0, "mt76_init_queue" },
	{ 0x40945906, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0xa860591, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xad74208d, "skb_push" },
	{ 0xc9a37420, "ieee80211_wake_queues" },
	{ 0x201c49c6, "mt76_mcu_send_and_get_msg" },
	{ 0xb559d60f, "ieee80211_iter_keys_rcu" },
	{ 0x287b3952, "__mt76_mcu_msg_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xd7f5a851, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc0fa061, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd300bb18, "mt76_get_rate_power_limits" },
	{ 0xe6fbec03, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75fd26df, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12408ed2, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd3ce2a65, "mt76_tx_status_unlock" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "2BD716C3FED8A9E3FB66125");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
