#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wl1251_init_ieee80211, "_gpl", "");
KSYMTAB_FUNC(wl1251_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wl1251_free_hw, "_gpl", "");

SYMBOL_CRC(wl1251_init_ieee80211, 0x1d308aa8, "_gpl");
SYMBOL_CRC(wl1251_alloc_hw, 0x48c461bb, "_gpl");
SYMBOL_CRC(wl1251_free_hw, 0x5eff5f9d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9dae4a76, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15f8c1e1, "ieee80211_tx_status" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0xfc0fa061, "ieee80211_stop_queues" },
	{ 0xa715db91, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3e64d71, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xe6fbec03, "ieee80211_scan_completed" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd978ea99, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa1995adb, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x516aa061, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x7e708004, "ieee80211_queue_work" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x47d41c8e, "debugfs_create_dir" },
	{ 0xbc315949, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x98f57c15, "skb_queue_head" },
	{ 0x67653eb6, "ieee80211_rx_napi" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xee5de1ba, "skb_dequeue" },
	{ 0x903f3f81, "ieee80211_free_hw" },
	{ 0xbafcfe71, "ieee80211_probereq_get" },
	{ 0x579cd6c5, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x50bf3437, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x64686148, "ieee80211_nullfunc_get" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xa5b05356, "ieee80211_pspoll_get" },
	{ 0x5e354760, "ieee80211_register_hw" },
	{ 0xb85d97e9, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66da84b3, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2ab5fb9, "skb_copy_expand" },
	{ 0x55c24ee6, "skb_queue_tail" },
	{ 0x31b6f3ce, "ieee80211_queue_delayed_work" },
	{ 0x6559924b, "simple_open" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad74208d, "skb_push" },
	{ 0x75f419e5, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0xc9a37420, "ieee80211_wake_queues" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "B61514967ECC76128A9305E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
