#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_DATA(ssam_bus_type, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x42f0b4a0, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x3669b0b5, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x62079e23, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x5f23f31e, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x465d38bb, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x7a866cd7, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x817702d0, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x96850145, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0xe3545ac3, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0xbe85e833, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xe62a5abc, "_gpl");
SYMBOL_CRC(ssam_bus_type, 0x3d9e3454, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0xe44244f4, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0xa7586ef9, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x637f2022, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x4568705b, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x9e2d8a4f, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x3056fdd7, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x08cf6049, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x199fe663, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x1ffa5c23, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x46967370, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x7eda46a4, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0xf5da07ce, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0xff076aba, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x4dcf33f4, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0xd81eabed, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x67de48a8, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x54285bf0, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x12ec583d, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0xe73d7eb0, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x142df96d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe08cf7ee, "wake_up_process" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc4d46cca, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xafd06007, "device_for_each_child_reverse" },
	{ 0x79f1ecb0, "kmem_cache_alloc" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7a950cf3, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0xf4058092, "devm_acpi_dev_add_driver_gpios" },
	{ 0x8ab45cbb, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x9f3f17b0, "device_add" },
	{ 0xcc4b4b6, "crc_ccitt_false" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4014890f, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5e3c5d5a, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xf0ce6cbf, "sysfs_create_group" },
	{ 0x1238ccf1, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3b33e914, "serdev_device_wait_until_sent" },
	{ 0x54d09a5e, "__serdev_device_driver_register" },
	{ 0x38dd58d7, "bpf_trace_run1" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x845e3d28, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9e1a09da, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8f451a55, "serdev_device_write_buf" },
	{ 0x668b19a1, "down_read" },
	{ 0x1ad010e9, "kthread_create_on_node" },
	{ 0xbb440842, "sysfs_remove_group" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfe08ca8a, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x5adbb50b, "fwnode_handle_put" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8181cbe7, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf615f768, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xe001d5a6, "bus_register" },
	{ 0xaba9095, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x64841c7f, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xa0bdaeb8, "is_acpi_device_node" },
	{ 0xd43d1dc7, "gpiod_put" },
	{ 0x726c9a25, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x273af32d, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x6dff3b8d, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0xdc4ea399, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x893d217f, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x1006dcf8, "device_initialize" },
	{ 0xca54f431, "serdev_device_set_flow_control" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0x53d307af, "gpiod_to_irq" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd48365c6, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x509f1279, "fwnode_get_next_child_node" },
	{ 0x2a0118b1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x529a4b58, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0x8bd8c4f9, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "F87072E29258F0E4F34B3AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
