#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x833af8aa, "usb_kill_urb" },
	{ 0xb922e0de, "blk_queue_update_dma_alignment" },
	{ 0xf7fab693, "blk_queue_max_hw_sectors" },
	{ 0x45847a66, "usb_alloc_urb" },
	{ 0x23a51b76, "usb_alloc_streams" },
	{ 0x172f3bf7, "scsi_report_bus_reset" },
	{ 0x197036e7, "usb_anchor_urb" },
	{ 0x3869ea59, "usb_submit_urb" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b25b19b, "usb_unanchor_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0xda040f62, "scsi_done" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xaf13e9e6, "scsi_remove_host" },
	{ 0x341d6d16, "scsi_host_put" },
	{ 0x377e48b0, "usb_lock_device_for_reset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2df137fb, "usb_stor_adjust_quirks" },
	{ 0x3a0aacd6, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5ddffde5, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x777b1d69, "usb_unlink_urb" },
	{ 0xb9a5993a, "sdev_prefix_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa5f985bc, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x58823c1e, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xacf4b0cb, "usb_set_interface" },
	{ 0xdcb5baea, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x264173e8, "scsi_block_requests" },
	{ 0xbfb2f22d, "_dev_printk" },
	{ 0xecb5a88a, "scsi_unblock_requests" },
	{ 0x15c38562, "scmd_printk" },
	{ 0x9b6863d2, "scsi_print_command" },
	{ 0xab69846f, "scsi_scan_host" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0x1f6ebe19, "usb_free_urb" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xa5f367b6, "scsi_is_host_device" },
	{ 0xcddd8e60, "scsi_change_queue_depth" },
	{ 0x8f62006b, "usb_deregister" },
	{ 0x7fe403f1, "usb_get_urb" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,scsi_common,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "0EAF89EE8BD61F99C833B2E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
