#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(hda_cs_dsp_fw_ids, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_add_controls, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_control_remove, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_write_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_read_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");

SYMBOL_CRC(hda_cs_dsp_fw_ids, 0x2b707546, "_gpl");
SYMBOL_CRC(hda_cs_dsp_add_controls, 0x684c2a60, "_gpl");
SYMBOL_CRC(hda_cs_dsp_control_remove, 0x74c9a0b1, "_gpl");
SYMBOL_CRC(hda_cs_dsp_write_ctl, 0x65d39340, "_gpl");
SYMBOL_CRC(hda_cs_dsp_read_ctl, 0x1ec2d28a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x967d8d03, "cs_dsp_coeff_write_ctrl" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xc8524188, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e6d43ba, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7dc9452e, "cs_dsp_get_ctl" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2273f1d0, "snd_ctl_notify" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf361e9f, "snd_ctl_add" },
	{ 0x975e4986, "cs_dsp_coeff_read_ctrl" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd");


MODULE_INFO(srcversion, "011CDAD3702A87321D7682F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
