#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0xf71c3ed5, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0xfd799040, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0xc1bf64ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x44c51b0f, "__pm_runtime_set_status" },
	{ 0x1e6d43ba, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4d46cca, "put_device" },
	{ 0x27c887e6, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xa34646e6, "fwnode_gpiod_get_index" },
	{ 0x5c76530, "device_property_read_u32_array" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0xf1c9e905, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xfddeb056, "efi" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3244b4c5, "cs_dsp_halo_init" },
	{ 0x9372e58f, "cs_dsp_power_down" },
	{ 0xdf1f7bf4, "device_link_remove" },
	{ 0x456c62bb, "cs35l41_test_key_unlock" },
	{ 0x684c2a60, "hda_cs_dsp_add_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x86bd9fc2, "cs35l41_test_key_lock" },
	{ 0x4a037f84, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x85274a2f, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xadcc32b, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x65d39340, "hda_cs_dsp_write_ctl" },
	{ 0x677dfdc5, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2131996e, "devm_kasprintf" },
	{ 0x44031b51, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0x906b1ea8, "cs35l41_exit_hibernate" },
	{ 0x999e8297, "vfree" },
	{ 0x5766c7d3, "regmap_read" },
	{ 0xfc2aced2, "cs_dsp_run" },
	{ 0x405a351f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x79c581b1, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x89047601, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x4adf7c5d, "cs35l41_write_fs_errata" },
	{ 0xef5d3738, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x35710f12, "cs35l41_configure_cs_dsp" },
	{ 0x619061b8, "_dev_crit" },
	{ 0x7e10b10b, "regmap_update_bits_base" },
	{ 0x30060195, "dev_err_probe" },
	{ 0xc4690b88, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xfa29eec5, "__pm_runtime_suspend" },
	{ 0xc4eb286e, "component_add" },
	{ 0xcb27a727, "__pm_runtime_use_autosuspend" },
	{ 0x9e7087c3, "cs35l41_set_channels" },
	{ 0xb7852854, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8181cbe7, "device_link_add" },
	{ 0x6bb8e0cb, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xbff951d0, "acpi_dev_get_first_match_dev" },
	{ 0xc2d58816, "gpiod_get_value_cansleep" },
	{ 0x6f2052d1, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xacab2a9d, "regcache_cache_only" },
	{ 0xa0bdaeb8, "is_acpi_device_node" },
	{ 0xd43d1dc7, "gpiod_put" },
	{ 0x6b1a8cd1, "regcache_sync" },
	{ 0x7f56c4ec, "regmap_write" },
	{ 0x3250a621, "devm_request_threaded_irq" },
	{ 0x7124b735, "devm_kmalloc" },
	{ 0x237efd1, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0xf361e9f, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdc4ea399, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1dbec87, "cs_dsp_stop" },
	{ 0xc1903647, "pm_runtime_set_autosuspend_delay" },
	{ 0x15718337, "cs35l41_register_errata_patch" },
	{ 0x51c86b01, "gpiod_set_value_cansleep" },
	{ 0x74c9a0b1, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0x59fb86ff, "gpiod_get_index" },
	{ 0x6e3021c4, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xe682caa1, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3510368b, "cs35l41_init_boost" },
	{ 0x4e73ffb1, "cs35l41_enter_hibernate" },
	{ 0x3d02d01, "get_device" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ec2d28a, "hda_cs_dsp_read_ctl" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "68D98A536DFE4C297449CEF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
