#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x44f59062, "");
SYMBOL_CRC(amd_sof_acp_resume, 0xabb34d72, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x04330dd8, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x10f9238f, "");
SYMBOL_CRC(acp_dsp_block_read, 0x12f172ea, "");
SYMBOL_CRC(acp_dsp_block_write, 0x625c1113, "");
SYMBOL_CRC(acp_get_bar_index, 0xd12e775b, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xaa514bb3, "");
SYMBOL_CRC(acp_sof_dsp_run, 0xc1a07d7b, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0x4650d8a8, "");
SYMBOL_CRC(acp_mailbox_write, 0x1790227e, "");
SYMBOL_CRC(acp_mailbox_read, 0x87ac6a69, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x747946bd, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0x27223683, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0xc5402c84, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x4e4785db, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x00312464, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x67f58926, "");
SYMBOL_CRC(acp_pcm_open, 0x9388f008, "");
SYMBOL_CRC(acp_pcm_close, 0xed9f926e, "");
SYMBOL_CRC(acp_pcm_pointer, 0xe89bac21, "");
SYMBOL_CRC(acp_dsp_stream_get, 0xd4fcb3bf, "");
SYMBOL_CRC(acp_dsp_stream_put, 0xae159fe8, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x7681457b, "");
SYMBOL_CRC(acp_sof_trace_release, 0x22993705, "");
SYMBOL_CRC(acp_sof_trace_init, 0x5614bdfb, "");
SYMBOL_CRC(sof_acp_common_ops, 0x28696897, "");
SYMBOL_CRC(acp_probes_register, 0x51ed0d7e, "");
SYMBOL_CRC(acp_probes_unregister, 0x65d2fcb3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x623cd50, "devm_ioremap" },
	{ 0x5a5b0024, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbbdfd423, "snd_sgbuf_get_addr" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5ba24109, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd57ce9be, "platform_device_unregister" },
	{ 0xb38fd9a1, "dma_alloc_attrs" },
	{ 0x105b7354, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xb5ac28a1, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x7ae684b4, "snd_sof_dsp_update_bits" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xb610e20d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d29ad3a, "sof_io_read" },
	{ 0x2131996e, "devm_kasprintf" },
	{ 0xb26af917, "snd_sof_ipc_reply" },
	{ 0xb3d537e1, "platform_device_register_full" },
	{ 0x6c91e2ed, "dma_free_attrs" },
	{ 0x89047601, "param_ops_bool" },
	{ 0x8870b61c, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa56cbcec, "snd_sof_dsp_panic" },
	{ 0xf4c19b3e, "sof_client_dev_unregister" },
	{ 0xf9fc343e, "snd_sof_load_firmware_memcpy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1f1b0d97, "pci_write_config_dword" },
	{ 0x882789b6, "sof_io_write" },
	{ 0x2d6957a3, "sof_machine_register" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7e3ec127, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x7124b735, "devm_kmalloc" },
	{ 0x58eed40b, "pci_dev_put" },
	{ 0x32c5c51f, "pci_get_device" },
	{ 0x579cd6c5, "request_firmware" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "73701276AB76B022CE8B6B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
