#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "");
KSYMTAB_DATA(adf_err_handler, "_gpl", "");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "");

SYMBOL_CRC(adf_cfg_dev_add, 0x9a266b39, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xa7b8cfe9, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0xd9e580d1, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x0676a77e, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x202886f2, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0xb29728c8, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xef8e0ae8, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x5898faac, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0xe00d1a46, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0xe6d25647, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x3b315ff9, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x86e9c396, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x8cc707ef, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xa20de110, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x3a7fcbaa, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x1461616d, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xc73b67e8, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xa157a526, "_gpl");
SYMBOL_CRC(adf_dev_up, 0xdf754a40, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x02f84dca, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x421f30bd, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0xcf3622a1, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x7abd7011, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x7f284a02, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x0c6750d6, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0xbb3a40d6, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xa16f6a06, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x91657571, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x9f911880, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x8951de5c, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xd598f3a5, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x3404bf36, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x43bca8db, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x057813de, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xd1d50197, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0xcf3a57ba, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xd64519f1, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x95ad5ed7, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x2b1441bf, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x48e5208a, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0xc501ac82, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0xec5d0498, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x9b8c8e89, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x45308676, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0xd7ec9093, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0xb37888b3, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x30c55a0d, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x6c666d15, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x03bf5bce, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x78bcebc4, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x025b80e9, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x5e070450, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xefff7406, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x30ea067e, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x263e7398, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x84d1db78, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x0da7aebe, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0xc34d09cd, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0xa4001c62, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0xbcf7ce73, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0xc85c1b78, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x76d72b14, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0xaced4dd0, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x87e84440, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x4aaa6bcc, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0xaabbe275, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x0620adad, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x6df2a752, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x885999b5, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x6cb08af4, "seq_putc" },
	{ 0x9166fada, "strncpy" },
	{ 0x79c229e3, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x714da5bd, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd837b111, "crypto_register_skciphers" },
	{ 0x7aa0cca, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x43532b9b, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x461d4dfe, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xeb69ca67, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd3e64d71, "debugfs_create_file" },
	{ 0x6c91e2ed, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf3c9f7b2, "crypto_register_kpp" },
	{ 0xbb078c5b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe09d8bfc, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x83d9c361, "seq_puts" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xd0f4bbf7, "seq_open" },
	{ 0x66500a66, "crypto_unregister_skciphers" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xc84ad7be, "crypto_register_akcipher" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd86da25, "crypto_alloc_shash" },
	{ 0x47d41c8e, "debugfs_create_dir" },
	{ 0xa094f0e8, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x5bcd98df, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6888f56f, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x20c929f5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x5e9d157, "cdev_del" },
	{ 0xfac8c1dd, "crypto_alloc_skcipher" },
	{ 0x861974fe, "crypto_skcipher_encrypt" },
	{ 0xa216e6e9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x405ad70e, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8061ef60, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7124b735, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xe8d5bb8c, "pci_alloc_irq_vectors" },
	{ 0x32400a21, "crypto_unregister_kpp" },
	{ 0x85f5fd65, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xda539662, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x579cd6c5, "request_firmware" },
	{ 0x955e2c0b, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4df1072e, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe43adf5d, "crypto_register_aeads" },
	{ 0xd7b36cdb, "pci_sriov_get_totalvfs" },
	{ 0x483d76f0, "seq_hex_dump" },
	{ 0xc640a690, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x2200e4e6, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xcc179008, "pci_irq_vector" },
	{ 0x299e33b6, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xddbaca78, "crypto_cipher_setkey" },
	{ 0x14744c18, "dev_driver_string" },
	{ 0xd28e97f0, "crypto_unregister_aeads" },
	{ 0x38d44fc6, "crypto_destroy_tfm" },
	{ 0x5ba24109, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x47cde828, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x32d140ef, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xd50d31bf, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x28890a6d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcbb5b999, "compat_ptr_ioctl" },
	{ 0xc212e376, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xddf4c0bc, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0x4fdead27, "devm_kfree" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x6559924b, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x832f01d0, "crypto_unregister_akcipher" },
	{ 0x80feaa67, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x53ddd71c, "class_create" },
	{ 0x32de0017, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xb38fd9a1, "dma_alloc_attrs" },
	{ 0x75f419e5, "debugfs_remove" },
	{ 0xb3c5e4d9, "pcie_flr" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "F2F7C277B2A21B32C89F2F1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
