#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mipi_dbi_command_read, "", "");
KSYMTAB_FUNC(mipi_dbi_command_buf, "", "");
KSYMTAB_FUNC(mipi_dbi_command_stackbuf, "", "");
KSYMTAB_FUNC(mipi_dbi_buf_copy, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_mode_valid, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_update, "", "");
KSYMTAB_FUNC(mipi_dbi_enable_flush, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_disable, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_begin_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_end_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_reset_plane, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_duplicate_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_destroy_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init_with_formats, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init, "", "");
KSYMTAB_FUNC(mipi_dbi_hw_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_display_is_on, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_conditional_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_cmd_max_speed, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_init, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_transfer, "", "");
KSYMTAB_FUNC(mipi_dbi_debugfs_init, "", "");

SYMBOL_CRC(mipi_dbi_command_read, 0x41c4fa7f, "");
SYMBOL_CRC(mipi_dbi_command_buf, 0xe5677678, "");
SYMBOL_CRC(mipi_dbi_command_stackbuf, 0x7d26231f, "");
SYMBOL_CRC(mipi_dbi_buf_copy, 0x2e9ee933, "");
SYMBOL_CRC(mipi_dbi_pipe_mode_valid, 0x35e0454e, "");
SYMBOL_CRC(mipi_dbi_pipe_update, 0xfa1f3ebe, "");
SYMBOL_CRC(mipi_dbi_enable_flush, 0x53df859e, "");
SYMBOL_CRC(mipi_dbi_pipe_disable, 0x6c6f9b0a, "");
SYMBOL_CRC(mipi_dbi_pipe_begin_fb_access, 0x2ec89c62, "");
SYMBOL_CRC(mipi_dbi_pipe_end_fb_access, 0x9dfa6bca, "");
SYMBOL_CRC(mipi_dbi_pipe_reset_plane, 0x6c73b753, "");
SYMBOL_CRC(mipi_dbi_pipe_duplicate_plane_state, 0xf4113ab9, "");
SYMBOL_CRC(mipi_dbi_pipe_destroy_plane_state, 0x950f4f14, "");
SYMBOL_CRC(mipi_dbi_dev_init_with_formats, 0x22359e75, "");
SYMBOL_CRC(mipi_dbi_dev_init, 0xd9e18bb2, "");
SYMBOL_CRC(mipi_dbi_hw_reset, 0x339a01b7, "");
SYMBOL_CRC(mipi_dbi_display_is_on, 0xce6f4490, "");
SYMBOL_CRC(mipi_dbi_poweron_reset, 0xd5250219, "");
SYMBOL_CRC(mipi_dbi_poweron_conditional_reset, 0x5b9c4f40, "");
SYMBOL_CRC(mipi_dbi_spi_cmd_max_speed, 0x6bf1c396, "");
SYMBOL_CRC(mipi_dbi_spi_init, 0x256c695c, "");
SYMBOL_CRC(mipi_dbi_spi_transfer, 0x7e02b7ee, "");
SYMBOL_CRC(mipi_dbi_debugfs_init, 0x2dd95110, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xe42f0158, "drm_gem_fb_get_obj" },
	{ 0x7ef8e9ff, "drm_gem_fb_begin_cpu_access" },
	{ 0x2ac45fdc, "drm_fb_swab" },
	{ 0xb4ef67be, "drm_gem_fb_end_cpu_access" },
	{ 0xed8c724d, "drm_fb_xrgb8888_to_rgb565" },
	{ 0xbe27f24c, "drm_fb_memcpy" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x36f67261, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xc076280d, "drm_dev_enter" },
	{ 0xd78c71a8, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x724c9eaa, "drm_gem_begin_shadow_fb_access" },
	{ 0x5f7f8d6d, "drm_gem_end_shadow_fb_access" },
	{ 0xb1cd4112, "drm_gem_reset_shadow_plane" },
	{ 0x822c44, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x6864e974, "drm_gem_destroy_shadow_plane_state" },
	{ 0x1e1ab60b, "drmm_mode_config_init" },
	{ 0x7124b735, "devm_kmalloc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xe48e6644, "drm_connector_init" },
	{ 0xb74ece80, "drm_simple_display_pipe_init" },
	{ 0x393547e5, "drm_plane_enable_fb_damage_clips" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x5d372c2a, "drm_connector_helper_get_modes_fixed" },
	{ 0x51c86b01, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd3e64d71, "debugfs_create_file" },
	{ 0xb21c62c0, "single_open" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x591e6623, "dma_set_mask" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x24e1ac81, "dma_set_coherent_mask" },
	{ 0x15ae72c4, "regulator_disable" },
	{ 0xfb578fc5, "memset" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0x83d9c361, "seq_puts" },
	{ 0x3177343c, "spi_sync_locked" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d7fdb53, "spi_bus_lock" },
	{ 0x8f80b471, "spi_bus_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb0b3583c, "spi_sync" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1ff52d57, "regulator_enable" },
	{ 0x7675b0f3, "drm_dev_printk" },
	{ 0xc640a690, "seq_lseek" },
	{ 0x461d4dfe, "seq_read" },
	{ 0x5096f5a6, "single_release" },
	{ 0x58a8c1cd, "drm_gem_fb_create_with_dirty" },
	{ 0x6d9950b, "drm_atomic_helper_check" },
	{ 0xad7705d2, "drm_atomic_helper_commit" },
	{ 0xdbe8e481, "drm_atomic_helper_connector_reset" },
	{ 0x377227aa, "drm_helper_probe_single_connector_modes" },
	{ 0x996e2847, "drm_connector_cleanup" },
	{ 0xc77e7b6c, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xbd462f48, "drm_atomic_helper_connector_destroy_state" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D84C75406ED0EF5E95F924B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
