#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x75e485a7, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0xc0cef057, "");
SYMBOL_CRC(bttv_sub_unregister, 0xbc2a9db4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb074c3e5, "vb2_buffer_done" },
	{ 0x5e3c5d5a, "driver_unregister" },
	{ 0xbb28e47d, "vb2_plane_vaddr" },
	{ 0x1d83a857, "v4l2_ctrl_subscribe_event" },
	{ 0x1c347674, "snd_tea575x_s_hw_freq_seek" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb2d0ba87, "video_unregister_device" },
	{ 0xf501ab7a, "snd_tea575x_set_freq" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x811d8531, "i2c_new_client_device" },
	{ 0xacec43c6, "vb2_ioctl_qbuf" },
	{ 0xee20a5e, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7f6c3a33, "device_register" },
	{ 0xacf176ea, "rc_free_device" },
	{ 0xb610e20d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7deee834, "vb2_fop_read" },
	{ 0x267de0a8, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1dc11b06, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f2ca2ed, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6c91e2ed, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbe65d45d, "snd_tea575x_hw_init" },
	{ 0x9b77f521, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xec9d18e, "pci_write_config_byte" },
	{ 0xbc53d0f5, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6eda139c, "vb2_ioctl_streamon" },
	{ 0xc0f3c469, "vb2_fop_poll" },
	{ 0xd85d9d85, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x3e4b92c3, "v4l2_ctrl_handler_free" },
	{ 0x2bfdcb95, "v4l2_device_unregister" },
	{ 0x59df29a4, "pci_disable_device" },
	{ 0xc00e4ff9, "vb2_wait_for_all_buffers" },
	{ 0x591e6623, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x2216664e, "v4l2_subdev_call_wrappers" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xc875b80c, "v4l2_i2c_new_subdev" },
	{ 0x1abe4fa0, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfd627e77, "video_device_release_empty" },
	{ 0xf615f768, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdf39c7b9, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x820c7003, "v4l2_event_unsubscribe" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe001d5a6, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x430f721d, "vb2_ioctl_reqbufs" },
	{ 0x2d7675e5, "vb2_queue_init" },
	{ 0x10dbf1e8, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x357f6ba0, "vb2_dma_sg_memops" },
	{ 0xb5293614, "v4l2_ctrl_poll" },
	{ 0x238bcf3a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xda3e1963, "pci_enable_device" },
	{ 0xa2d3dcbd, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe2da9089, "v4l2_ctrl_radio_filter" },
	{ 0x6dff3b8d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe7d8fe69, "i2c_bit_add_bus" },
	{ 0x1e374dbc, "v4l2_ctrl_add_handler" },
	{ 0x893d217f, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x32c5c51f, "pci_get_device" },
	{ 0x579cd6c5, "request_firmware" },
	{ 0x8673a0bf, "vb2_ops_wait_finish" },
	{ 0xa67d9e0e, "__pci_register_driver" },
	{ 0xd5679959, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xd6b1235c, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e8837cb, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x66ed4233, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8bdf576c, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2d0e98aa, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeec3dbb, "v4l2_ctrl_handler_log_status" },
	{ 0x1ce02d8c, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x704ed4b2, "video_devdata" },
	{ 0xc4d46cca, "put_device" },
	{ 0xc82c0327, "vb2_fop_release" },
	{ 0xbcfff893, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x627b8489, "v4l2_ctrl_find" },
	{ 0x1e6347e6, "i2c_del_adapter" },
	{ 0x40008b23, "__v4l2_ctrl_s_ctrl" },
	{ 0xccca1c04, "vb2_plane_cookie" },
	{ 0xc578df4f, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xce844ef4, "rc_keyup" },
	{ 0x145e4e07, "vb2_ioctl_dqbuf" },
	{ 0x8ab45cbb, "bus_unregister" },
	{ 0x78a7475a, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x741bf43e, "tveeprom_read" },
	{ 0x8e517f82, "v4l2_ctrl_new_custom" },
	{ 0xa292767a, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7abde918, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x20cdf37e, "rc_register_device" },
	{ 0xb38fd9a1, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x205fe1d6, "rc_keydown" },
	{ 0x28c238ea, "snd_tea575x_enum_freq_bands" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-common,videodev,tea575x,videobuf2-v4l2,rc-core,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5FEBF1E30DF4796A0F65DBF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
