#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0xfaa685a1, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0xfaeec657, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x73b4fef0, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0xe5e3336e, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x94c096e0, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0xf8e579a6, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x823cbba2, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x5ff4aa1b, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x03ff0508, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x72b9b4cc, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev, 0x78cb987a, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0xd7f26b29, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7476d339, "i2c_verify_client" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x47d41c8e, "debugfs_create_dir" },
	{ 0xd3e64d71, "debugfs_create_file" },
	{ 0xb21c62c0, "single_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0x6e048299, "fwnode_property_present" },
	{ 0x260fd7ae, "fwnode_graph_get_port_parent" },
	{ 0x5adbb50b, "fwnode_handle_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9e1a09da, "fwnode_handle_get" },
	{ 0x75f419e5, "debugfs_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x814898c1, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f44114b, "v4l2_device_unregister_subdev" },
	{ 0xc71fdc22, "v4l2_subdev_put_privacy_led" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xaeb1341d, "__dev_fwnode" },
	{ 0xbb2a0305, "v4l2_device_register_subdev" },
	{ 0xd679ce56, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xc640a690, "seq_lseek" },
	{ 0x461d4dfe, "seq_read" },
	{ 0x5096f5a6, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "86502B47ACF1830AE1D5A4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
