#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xe98a013c, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x7369b871, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x6ce233d7, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xb5c8ccf4, "");
SYMBOL_CRC(mpt_halt_firmware, 0x135142f0, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x68788cec, "");
SYMBOL_CRC(mpt_attach, 0x0f631374, "");
SYMBOL_CRC(mpt_detach, 0x509378c3, "");
SYMBOL_CRC(mpt_resume, 0x220db889, "");
SYMBOL_CRC(mpt_suspend, 0x7af96f63, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x0e4abf4c, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x133b8732, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xb7652b3f, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x4afb342f, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xb0b0146e, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xf473300b, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x5422226c, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xdd539967, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x3df3c6de, "");
SYMBOL_CRC(mpt_verify_adapter, 0x56216f6e, "");
SYMBOL_CRC(mpt_GetIocState, 0x0a54e7f3, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x9edb7784, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x68bfa8dc, "");
SYMBOL_CRC(mpt_config, 0xca3221ce, "");
SYMBOL_CRC(mpt_findImVolumes, 0x99bd0431, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x00924a87, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xce18a20e, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x59247de9, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xd7ffa8b7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0x4688abfe, "pci_stop_and_remove_bus_device_locked" },
	{ 0xb38fd9a1, "dma_alloc_attrs" },
	{ 0x6c91e2ed, "dma_free_attrs" },
	{ 0x37dcc494, "pci_select_bars" },
	{ 0x73d7538d, "pci_enable_device_mem" },
	{ 0x6d11bd6b, "pci_request_selected_regions" },
	{ 0x9e920fd1, "dma_get_required_mask" },
	{ 0x591e6623, "dma_set_mask" },
	{ 0xe54aef88, "pci_release_selected_regions" },
	{ 0x59df29a4, "pci_disable_device" },
	{ 0x24e1ac81, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a657889, "remove_proc_entry" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0x56d1309d, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6cb08af4, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5cf308e3, "proc_mkdir" },
	{ 0xb8119abe, "proc_create_single_data" },
	{ 0x42397177, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa216e6e9, "pci_save_state" },
	{ 0xf8d9b393, "pci_set_power_state" },
	{ 0xdce2ef6f, "pci_disable_msi" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x885999b5, "pci_read_config_word" },
	{ 0xa094f0e8, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb610e20d, "pci_set_master" },
	{ 0xda3e1963, "pci_enable_device" },
	{ 0x40be252e, "pci_enable_msi" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1ad010e9, "kthread_create_on_node" },
	{ 0xe08cf7ee, "wake_up_process" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1abe4fa0, "pci_read_config_byte" },
	{ 0xec9d18e, "pci_write_config_byte" },
	{ 0x1b8e1442, "pci_get_slot" },
	{ 0x58eed40b, "pci_dev_put" },
	{ 0xe2ae3254, "pci_enable_wake" },
	{ 0x7aa0cca, "pci_restore_state" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0xe0e4a925, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
