#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0xddab9f27, "");
SYMBOL_CRC(t3_l2t_send_event, 0xf7d61224, "");
SYMBOL_CRC(t3_l2e_free, 0xdcd2209b, "");
SYMBOL_CRC(t3_l2t_get, 0x3bb11703, "");
SYMBOL_CRC(cxgb3_register_client, 0xc22f86d6, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x08730e7c, "");
SYMBOL_CRC(cxgb3_free_atid, 0x23a51857, "");
SYMBOL_CRC(cxgb3_free_stid, 0xe725a458, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x4882e9b7, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x0a9c9412, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x6e57f3a6, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x25a6d284, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0xe4d718d5, "");
SYMBOL_CRC(dev2t3cdev, 0x1284f32b, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x964ce87d, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xc465aaf5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe69c7821, "_dev_warn" },
	{ 0xb610e20d, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x19b10fc, "netif_rx" },
	{ 0x202aae73, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24e1ac81, "dma_set_coherent_mask" },
	{ 0xd97bf461, "pv_ops" },
	{ 0xbb440842, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbee759e2, "neigh_destroy" },
	{ 0x6c91e2ed, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15698784, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x87e89491, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1b397a0e, "netdev_master_upper_dev_get_rcu" },
	{ 0x9ffef0f2, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4bc36379, "netif_carrier_off" },
	{ 0xe90ed3e2, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8bc03d9c, "netif_carrier_on" },
	{ 0xe900fe02, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x59df29a4, "pci_disable_device" },
	{ 0x591e6623, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7b38962d, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x98c72f44, "napi_schedule_prep" },
	{ 0xf7187e0c, "napi_disable" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x739aace8, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x566d875e, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x12befa04, "alloc_etherdev_mqs" },
	{ 0xa216e6e9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x846f8575, "pcie_capability_read_word" },
	{ 0x15240972, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x19726618, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9580bbac, "skb_copy_bits" },
	{ 0x38ace53d, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xda3e1963, "pci_enable_device" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0xc777489c, "netdev_update_features" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0x1bf292ef, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x27d07d7a, "unregister_netdev" },
	{ 0xe8a4f3ae, "napi_get_frags" },
	{ 0xda539662, "dma_unmap_page_attrs" },
	{ 0x579cd6c5, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xa67d9e0e, "__pci_register_driver" },
	{ 0x5760580b, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xdce2ef6f, "pci_disable_msi" },
	{ 0x1b21247, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x15908034, "__put_devmap_managed_page_refs" },
	{ 0xade7172f, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2d0e98aa, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x14744c18, "dev_driver_string" },
	{ 0x1572520d, "dev_addr_mod" },
	{ 0xd70f82db, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47cde828, "dma_map_page_attrs" },
	{ 0x2d7627d6, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x2a4041eb, "__napi_schedule" },
	{ 0x4bfa79a, "pci_enable_msix_range" },
	{ 0xa4a124a4, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e7d09dc, "__alloc_skb" },
	{ 0x313adc44, "__free_pages" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xe73955a9, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdda7c039, "pci_find_capability" },
	{ 0x5d2aba28, "_dev_alert" },
	{ 0x40be252e, "pci_enable_msi" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7b2df517, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x899e0f44, "netif_set_real_num_rx_queues" },
	{ 0xc74d368d, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2541c790, "kfree_skb_reason" },
	{ 0xac678d22, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb38fd9a1, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x885999b5, "pci_read_config_word" },
	{ 0x593f683c, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xde88bdb0, "netif_receive_skb" },
	{ 0x69059bfa, "register_netdev" },
	{ 0x454ec264, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf0ce6cbf, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xeaa1c374, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf49e2241, "netif_tx_stop_all_queues" },
	{ 0x7aa0cca, "pci_restore_state" },
	{ 0xf78ca43d, "netif_tx_wake_queue" },
	{ 0xc95fbc10, "dma_sync_single_for_cpu" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E2F81FAFDD33310C436FC66");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
