#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hostap_80211_rx, "", "");
KSYMTAB_FUNC(hostap_master_start_xmit, "", "");
KSYMTAB_FUNC(hostap_init_data, "", "");
KSYMTAB_FUNC(hostap_init_ap_proc, "", "");
KSYMTAB_FUNC(hostap_free_data, "", "");
KSYMTAB_FUNC(hostap_check_sta_fw_version, "", "");
KSYMTAB_FUNC(hostap_handle_sta_tx_exc, "", "");
KSYMTAB_FUNC(hostap_info_init, "", "");
KSYMTAB_FUNC(hostap_info_process, "", "");
KSYMTAB_DATA(hostap_80211_ops, "", "");
KSYMTAB_FUNC(hostap_set_word, "", "");
KSYMTAB_FUNC(hostap_set_string, "", "");
KSYMTAB_FUNC(hostap_get_porttype, "", "");
KSYMTAB_FUNC(hostap_set_encryption, "", "");
KSYMTAB_FUNC(hostap_set_antsel, "", "");
KSYMTAB_FUNC(hostap_set_roaming, "", "");
KSYMTAB_FUNC(hostap_set_auth_algs, "", "");
KSYMTAB_FUNC(hostap_dump_rx_header, "", "");
KSYMTAB_FUNC(hostap_dump_tx_header, "", "");
KSYMTAB_FUNC(hostap_80211_get_hdrlen, "", "");
KSYMTAB_FUNC(hostap_setup_dev, "", "");
KSYMTAB_FUNC(hostap_set_multicast_list_queue, "", "");
KSYMTAB_FUNC(hostap_set_hostapd, "", "");
KSYMTAB_FUNC(hostap_set_hostapd_sta, "", "");
KSYMTAB_FUNC(hostap_add_interface, "", "");
KSYMTAB_FUNC(hostap_remove_interface, "", "");
KSYMTAB_FUNC(prism2_update_comms_qual, "", "");
KSYMTAB_FUNC(hostap_init_proc, "", "");
KSYMTAB_FUNC(hostap_remove_proc, "", "");

SYMBOL_CRC(hostap_80211_rx, 0x417ba81b, "");
SYMBOL_CRC(hostap_master_start_xmit, 0xc0b80c9d, "");
SYMBOL_CRC(hostap_init_data, 0xa7ccc875, "");
SYMBOL_CRC(hostap_init_ap_proc, 0x58e5103c, "");
SYMBOL_CRC(hostap_free_data, 0xf7d254dd, "");
SYMBOL_CRC(hostap_check_sta_fw_version, 0x581ed046, "");
SYMBOL_CRC(hostap_handle_sta_tx_exc, 0x8118b666, "");
SYMBOL_CRC(hostap_info_init, 0x011b28fd, "");
SYMBOL_CRC(hostap_info_process, 0x06a6c86b, "");
SYMBOL_CRC(hostap_80211_ops, 0x6f42f72b, "");
SYMBOL_CRC(hostap_set_word, 0xd0f11a44, "");
SYMBOL_CRC(hostap_set_string, 0x78795258, "");
SYMBOL_CRC(hostap_get_porttype, 0xe03f5455, "");
SYMBOL_CRC(hostap_set_encryption, 0xf2b78867, "");
SYMBOL_CRC(hostap_set_antsel, 0xa636610d, "");
SYMBOL_CRC(hostap_set_roaming, 0x56046dec, "");
SYMBOL_CRC(hostap_set_auth_algs, 0x4add61e7, "");
SYMBOL_CRC(hostap_dump_rx_header, 0x7fb75891, "");
SYMBOL_CRC(hostap_dump_tx_header, 0xf91c03e2, "");
SYMBOL_CRC(hostap_80211_get_hdrlen, 0xb4b77c8b, "");
SYMBOL_CRC(hostap_setup_dev, 0xc28b77e8, "");
SYMBOL_CRC(hostap_set_multicast_list_queue, 0x75934c58, "");
SYMBOL_CRC(hostap_set_hostapd, 0xb7dd33a6, "");
SYMBOL_CRC(hostap_set_hostapd_sta, 0xa40b49e0, "");
SYMBOL_CRC(hostap_add_interface, 0xda9ef20d, "");
SYMBOL_CRC(hostap_remove_interface, 0xc7b0649c, "");
SYMBOL_CRC(prism2_update_comms_qual, 0x363f53fa, "");
SYMBOL_CRC(hostap_init_proc, 0x11a76b03, "");
SYMBOL_CRC(hostap_remove_proc, 0x73c6b89b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7758814, "default_llseek" },
	{ 0x5cf308e3, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf773b0c, "wireless_spy_update" },
	{ 0x19b10fc, "netif_rx" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0x9ee2cd9f, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa715db91, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b6e516b, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x94f9935d, "__dev_queue_xmit" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9a657889, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4bc36379, "netif_carrier_off" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd5a973ba, "lib80211_crypt_delayed_deinit" },
	{ 0x17bd5bf, "skb_copy" },
	{ 0x6d8cf285, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8bc03d9c, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x83d9c361, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb8119abe, "proc_create_single_data" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0xd06b15c9, "proc_create_seq_private" },
	{ 0xbc315949, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8f3f2a3e, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x770abc1c, "register_netdevice" },
	{ 0x12befa04, "alloc_etherdev_mqs" },
	{ 0x405ad70e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf2d4449a, "eth_header" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x27d07d7a, "unregister_netdev" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xee5de1ba, "skb_dequeue" },
	{ 0xd6b1235c, "param_array_ops" },
	{ 0xffd4b5f4, "eth_header_cache" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x8496ab08, "iw_handler_set_spy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xade7172f, "eth_validate_addr" },
	{ 0x29e74d68, "proc_create_data" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe8a32275, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x141d509a, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x812e77a3, "pskb_expand_head" },
	{ 0xb0e0c95, "skb_queue_purge_reason" },
	{ 0x1572520d, "dev_addr_mod" },
	{ 0xd70f82db, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4ebde156, "iw_handler_get_thrspy" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x871a1c73, "eth_header_cache_update" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6317ec7, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb4ee27a, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55c24ee6, "skb_queue_tail" },
	{ 0x5d8d574, "lib80211_get_crypto_ops" },
	{ 0x28890a6d, "module_put" },
	{ 0xddc8e8e8, "dev_open" },
	{ 0x4463ca9b, "init_net" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2541c790, "kfree_skb_reason" },
	{ 0x21fb6be0, "dev_close" },
	{ 0xad74208d, "skb_push" },
	{ 0xb7856208, "wireless_send_event" },
	{ 0x6cb08af4, "seq_putc" },
	{ 0x454ec264, "free_netdev" },
	{ 0x9c7512b5, "iw_handler_get_spy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "lib80211");


MODULE_INFO(srcversion, "B736C4DA17B3757FC8B81A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
