#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_mac_sta_add, 0x9708aa1a, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x445f0ce4, "_gpl");
SYMBOL_CRC(mt7615_ops, 0xde753248, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0xb0501611, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0xf3ec7950, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x2f3aa954, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x611992e7, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0xbe4b9a4b, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x8090fbf4, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x89a21d64, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0xe2a3dc94, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0xd32d50b6, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xe6475320, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x47d904f8, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x3dfc90c0, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x079481a7, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xb140e644, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x1a0641cd, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x83aac7eb, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x92d05c9f, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x1f110e87, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xf49f853a, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xc84c64a6, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0xec63853e, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0xa41b6bb1, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x053a0e2b, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0xc2263f17, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xf9b31c3a, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0xe7458fd9, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x8cabded9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x123196fc, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x24a32cd8, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0x4533261c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x74983815, "mt76_rx" },
	{ 0xb7c1f320, "mt76_connac_mcu_sched_scan_req" },
	{ 0xc010332e, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xb7da579d, "mt76_connac_mcu_uni_add_bss" },
	{ 0x5b4f2c35, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xcad07a3e, "wiphy_to_ieee80211_hw" },
	{ 0x8826cf68, "debugfs_attr_read" },
	{ 0x785195e, "mt76_connac_mcu_hw_scan" },
	{ 0x40945906, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x31b6f3ce, "ieee80211_queue_delayed_work" },
	{ 0x7031af01, "mt76_eeprom_init" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x6559924b, "simple_open" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0x948fd440, "debugfs_create_file_unsafe" },
	{ 0xa860591, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x28c5b80c, "simple_attr_release" },
	{ 0xb2b4ef66, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4ecb85b, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0xf8a52d0c, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad74208d, "skb_push" },
	{ 0x943a7d6d, "mt76_set_channel" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xc9a37420, "ieee80211_wake_queues" },
	{ 0x201c49c6, "mt76_mcu_send_and_get_msg" },
	{ 0xea4afa78, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc83bcdbd, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb7f91457, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x287b3952, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x1a9712ad, "mt76_connac_pm_dequeue_skbs" },
	{ 0x77681738, "mt76_connac_mcu_set_pm" },
	{ 0x57c8a1d2, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x653fd1d9, "devm_hwmon_device_register_with_groups" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xd7f5a851, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd3243147, "debugfs_create_u32" },
	{ 0x6dc0f665, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf42a95cd, "__SCK__tp_func_mac_txdone" },
	{ 0x8d205b3a, "mt76_sta_state" },
	{ 0xec49b780, "ieee80211_ready_on_channel" },
	{ 0xfc0fa061, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4522a97a, "mt76_connac_mcu_init_download" },
	{ 0x2131996e, "devm_kasprintf" },
	{ 0xc0ee8958, "cfg80211_reg_can_beacon" },
	{ 0x461d4dfe, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfe076e1f, "mt76_connac_mcu_add_nested_tlv" },
	{ 0xdd64e639, "strscpy" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x24d7dc32, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xd3e64d71, "debugfs_create_file" },
	{ 0xd300bb18, "mt76_get_rate_power_limits" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x89af497c, "ieee80211_sched_scan_results" },
	{ 0xe6fbec03, "ieee80211_scan_completed" },
	{ 0x5304685e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x91a130, "mt76_insert_ccmp_hdr" },
	{ 0xeb9e8075, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89047601, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x102836b8, "mt76_sw_scan_complete" },
	{ 0x51c9f8a6, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9d5a6b3, "mt76_connac_mcu_start_firmware" },
	{ 0x9704c628, "____mt76_poll_msec" },
	{ 0x71f41947, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x81e6d5d0, "mt76_connac_mcu_rdd_cmd" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0x65403144, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x75fd26df, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x43ee67e8, "mt76_unregister_phy" },
	{ 0x4c2b5fd5, "mt76_register_phy" },
	{ 0x3f9f1126, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x12408ed2, "mt76_put_txwi" },
	{ 0xc15813ae, "mt76_wcid_cleanup" },
	{ 0x83d9c361, "seq_puts" },
	{ 0x588bd241, "ieee80211_radar_detected" },
	{ 0xade974b3, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xea53740, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x5096f5a6, "single_release" },
	{ 0x6ef94ace, "mt76_sw_scan" },
	{ 0x6131b172, "mt76_queues_read" },
	{ 0x13908841, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x81a24f2e, "mt76_sta_pre_rcu_remove" },
	{ 0xbdc246bb, "mt76_register_debugfs_fops" },
	{ 0x9816bd0, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xad0048eb, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xb24346a, "mt76_connac_mcu_sta_ba" },
	{ 0x19715615, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x7e708004, "ieee80211_queue_work" },
	{ 0x98c72f44, "napi_schedule_prep" },
	{ 0x33d07a10, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xcb3bae8f, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xe48d744e, "__mt76_poll" },
	{ 0x49ea484f, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5444d955, "debugfs_create_u8" },
	{ 0xb21c62c0, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xbc315949, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ec3475c, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6ae01592, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xcdbede6c, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe274a95d, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x7afcad0e, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x1ba899b, "ieee80211_sta_register_airtime" },
	{ 0x862c19e3, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x4ae2c213, "mt76_connac_mcu_sta_tlv" },
	{ 0xfff7a962, "device_set_wakeup_enable" },
	{ 0xca8cb4af, "mt76_tx_worker_run" },
	{ 0xc61a2964, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd3ce2a65, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb70b20a1, "simple_attr_open" },
	{ 0xa189694e, "ieee80211_iterate_interfaces" },
	{ 0x1ae02d6f, "debugfs_attr_write" },
	{ 0x8c6ed3d8, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xec398a8d, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7124b735, "devm_kmalloc" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x237efd1, "firmware_request_nowarn" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc533eac2, "mt76_tx_status_skb_get" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0x30c5d3e9, "mt76_tx_status_lock" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0xf36ab125, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x73692ee5, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x903f3f81, "ieee80211_free_hw" },
	{ 0x1470247, "mt76_connac_mcu_set_channel_domain" },
	{ 0x59343526, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5bbb08b6, "mt76_release_buffered_frames" },
	{ 0x579cd6c5, "request_firmware" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0xcabba300, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x760282a8, "__tracepoint_mac_txdone" },
	{ 0xd06c4c65, "mt76_connac_pm_wake" },
	{ 0x2709fffc, "mt76_get_rate" },
	{ 0xf7931ec3, "mt76_wake_tx_queue" },
	{ 0x9b8eae62, "ieee80211_tx_status_ext" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94adacb1, "mt76_connac_mcu_chip_config" },
	{ 0xdc27486f, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x430ecc35, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0xfbf32d76, "__mt76_tx_complete_skb" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xc640a690, "seq_lseek" },
	{ 0xf200990a, "mt76_set_stream_caps" },
	{ 0x2a0118b1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb85d97e9, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xcd1915cd, "mt76_connac_mcu_update_arp_filter" },
	{ 0x5e453383, "mt76_connac_mcu_set_vif_ps" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xe2f32941, "mt76_mcu_rx_event" },
	{ 0x52de7fd9, "mt76_alloc_phy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf64506fb, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd918673e, "mt76_wcid_init" },
	{ 0x8fd8179d, "mt76_tx_status_check" },
	{ 0xe08cf7ee, "wake_up_process" },
	{ 0x5b8c2f3, "mt76_connac_free_pending_tx_skbs" },
	{ 0xb0e0c95, "skb_queue_purge_reason" },
	{ 0x631d6288, "mt76_connac_power_save_sched" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbaf75de7, "ieee80211_send_bar" },
	{ 0xe3c0a3b3, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x2c842d6f, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x244b8a3a, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf8909fcb, "mt76_tx" },
	{ 0x2a4041eb, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e7d09dc, "__alloc_skb" },
	{ 0x921f4a3d, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "FE907A7A3730CED7624F810");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
