#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9afe075, "mt76x2_mcu_set_channel" },
	{ 0x31f6253d, "mt76x02_dma_disable" },
	{ 0x532825eb, "mt76x02_mcu_set_radio_state" },
	{ 0xf7931ec3, "mt76_wake_tx_queue" },
	{ 0x8e214bb2, "mt76x02e_init_beacon_config" },
	{ 0xdc27486f, "mt76_get_antenna" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xf200990a, "mt76_set_stream_caps" },
	{ 0x9ab1469, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf8d9b393, "pci_set_power_state" },
	{ 0xcbf06619, "mt76x02_sta_ps" },
	{ 0x53acbd02, "mt76x2_set_sar_specs" },
	{ 0x268c1b94, "mt76x02_sta_rate_tbl_update" },
	{ 0x66328459, "kthread_park" },
	{ 0xf02b14ec, "mt76_dma_cleanup" },
	{ 0x2d0e98aa, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd50b6ef2, "mt76x02_reconfig_complete" },
	{ 0x866d592a, "mt76_alloc_device" },
	{ 0xe08cf7ee, "wake_up_process" },
	{ 0xe25d4546, "mt76x02_mac_shared_key_setup" },
	{ 0x4808d339, "mt76x02_ext_pa_enabled" },
	{ 0x9541ec3, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe9800b8f, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc020a6ef, "mt76x02_set_tx_ackto" },
	{ 0x4a793ec6, "mt76x02_update_channel" },
	{ 0x2a4041eb, "__napi_schedule" },
	{ 0x8b2ff5a2, "mt76x2_configure_tx_delay" },
	{ 0xb69ebcb4, "mt76_pci_disable_aspm" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xc3ee03cb, "mt76x02_configure_filter" },
	{ 0x745cd2b0, "mt76_free_device" },
	{ 0x57c5dce8, "mt76x02_queue_rx_skb" },
	{ 0x96248b7f, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x107131f9, "pcim_iomap_regions" },
	{ 0x31b6f3ce, "ieee80211_queue_delayed_work" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x491bc859, "mt76x02_rx_poll_complete" },
	{ 0x7ce98efc, "mt76x02_mac_setaddr" },
	{ 0x5d5ef6f8, "mt76_register_device" },
	{ 0x642861ea, "mt76_set_tim" },
	{ 0x55c1ca87, "mt76x02_sw_scan_complete" },
	{ 0x3312c5fc, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74eb798c, "mt76x02_phy_set_band" },
	{ 0x943a7d6d, "mt76_set_channel" },
	{ 0x88f328f7, "mt76x02_init_device" },
	{ 0x593f683c, "napi_enable" },
	{ 0xaa00c0e9, "mt76x02_tx" },
	{ 0x7ed9b3da, "mt76_mmio_init" },
	{ 0xc9a37420, "ieee80211_wake_queues" },
	{ 0xad652d7a, "mt76x02_sta_remove" },
	{ 0x227a193b, "mt76x02_edcca_init" },
	{ 0x93638a59, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1098791c, "mt76x02_sta_add" },
	{ 0x3d2736d1, "mt76_unregister_device" },
	{ 0x2ef57204, "mt76x2_mcu_load_cr" },
	{ 0x7aa0cca, "pci_restore_state" },
	{ 0x95e3f8d8, "mt76x2_init_txpower" },
	{ 0xe2a37dbd, "mt76x02_init_debugfs" },
	{ 0x57c8a1d2, "mt76_get_survey" },
	{ 0xb610e20d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34c4da0f, "mt76x2_mcu_init_gain" },
	{ 0x603c1802, "mt76x02_set_rts_threshold" },
	{ 0x677578cf, "mt76x02_tx_complete_skb" },
	{ 0x8d205b3a, "mt76_sta_state" },
	{ 0x113fe410, "mt76x02_mcu_msg_send" },
	{ 0xebd45d2b, "mt76x2_phy_tssi_compensate" },
	{ 0xfc0fa061, "ieee80211_stop_queues" },
	{ 0xf1354107, "mt76x02_mac_cc_reset" },
	{ 0x4f48e0d7, "mt76x02_bss_info_changed" },
	{ 0xbd5ea874, "mt76x02_init_agc_gain" },
	{ 0x1d3b7a25, "mt76x2_phy_update_channel_gain" },
	{ 0xe2ae3254, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9168514f, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8380e8d4, "mt76x02_add_interface" },
	{ 0x9704c628, "____mt76_poll_msec" },
	{ 0x67960de, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x84bf22db, "mt76x02_config_mac_addr_list" },
	{ 0x75fd26df, "mt76_get_sar_power" },
	{ 0x2e973948, "mt76x02_tx_prepare_skb" },
	{ 0x6286fdb4, "mt76x02_mcu_cleanup" },
	{ 0xc6be16ec, "mt76x02_ampdu_action" },
	{ 0xcc9e602a, "mt76x02_mcu_calibrate" },
	{ 0x48404b82, "mt76x02_conf_tx" },
	{ 0x8f9932fb, "mt76x02_mcu_function_select" },
	{ 0x591e6623, "dma_set_mask" },
	{ 0x6ef94ace, "mt76_sw_scan" },
	{ 0x81a24f2e, "mt76_sta_pre_rcu_remove" },
	{ 0x45414c70, "pcim_iomap_table" },
	{ 0x419d105, "mt76x2_get_temp_comp" },
	{ 0xa3cdd9b2, "mt76x02_mac_wcid_setup" },
	{ 0x98c72f44, "napi_schedule_prep" },
	{ 0xf7187e0c, "napi_disable" },
	{ 0xe48d744e, "__mt76_poll" },
	{ 0xc2d3c261, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd0c338d4, "pcim_enable_device" },
	{ 0xdd2ba4a7, "mt76x2_phy_set_txpower_regs" },
	{ 0xd87c3726, "mt76x2_phy_set_txpower" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xb5400f44, "mt76x02_mac_start" },
	{ 0x40cac50b, "mt76x02_remove_interface" },
	{ 0x37668595, "mt76x02_dma_init" },
	{ 0xa216e6e9, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3250a621, "devm_request_threaded_irq" },
	{ 0x42397177, "pci_choose_state" },
	{ 0x78a7adf0, "mt76x02_set_ethtool_fwver" },
	{ 0xa512fd7f, "mt76x02_tx_set_txpwr_auto" },
	{ 0xbbd95a06, "mt76x02_set_key" },
	{ 0x6fabfeab, "mt76x02_mcu_parse_response" },
	{ 0x5bbb08b6, "mt76_release_buffered_frames" },
	{ 0x579cd6c5, "request_firmware" },
	{ 0xcabba300, "mt76_get_txpower" },
	{ 0xa67d9e0e, "__pci_register_driver" },
	{ 0xc4f6cc08, "mt76_write_mac_initvals" },
	{ 0x48956e34, "mt76x2_reset_wlan" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F27838563C06DA6D82A9F81");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
