#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0x6040cf74, "");
SYMBOL_CRC(rtw_sdio_probe, 0x1346036c, "");
SYMBOL_CRC(rtw_sdio_remove, 0x704df4e4, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x5b10c9cb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7564a2dd, "sdio_set_host_pm_flags" },
	{ 0x27a776b8, "rtw_chip_info_setup" },
	{ 0xa4478120, "rtw_unregister_hw" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x10fe2aa9, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xad74208d, "skb_push" },
	{ 0xddb6fd8d, "rtw_core_init" },
	{ 0x8dc01e54, "sdio_readl" },
	{ 0x9dae4a76, "ieee80211_alloc_hw_nm" },
	{ 0xf51b383b, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x8dfb4bef, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0xad53fe65, "rtw_rx_stats" },
	{ 0x113a7f83, "rtw_register_hw" },
	{ 0x73e5c50f, "rtw_core_deinit" },
	{ 0xf6b79785, "rtw_ops" },
	{ 0xd5b6359a, "sdio_claim_irq" },
	{ 0xafb2e9a5, "skb_copy_header" },
	{ 0xe92ded9, "sdio_enable_func" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0xc8454353, "rtw_power_mode_change" },
	{ 0xeda363a, "rtw_tx_write_data_h2c_get" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xb9f4db96, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xb87e2cba, "ieee80211_rx_irqsafe" },
	{ 0x98f57c15, "skb_queue_head" },
	{ 0x516030cf, "sdio_readb" },
	{ 0x181c000e, "sdio_writeb" },
	{ 0xa8ac17a3, "rtw_tx_report_enqueue" },
	{ 0x723384b0, "sdio_release_host" },
	{ 0x5632a107, "rtw_tx_queue_mapping" },
	{ 0x4da231b, "sdio_disable_func" },
	{ 0x26a44b73, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x6f8a456b, "sdio_claim_host" },
	{ 0x8b29fdd3, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee5de1ba, "skb_dequeue" },
	{ 0x903f3f81, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xd1e7e0ab, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb0e0c95, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe5995477, "sdio_align_size" },
	{ 0x13b17836, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x32e76c60, "sdio_release_irq" },
	{ 0x55c24ee6, "skb_queue_tail" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "9EE2CDED2C84CD02953D10B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
