#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x7e88164f, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xcb3385a1, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x8de135ce, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x6032e690, "");
SYMBOL_CRC(rtw89_core_rx, 0xebdbbfb0, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x53011f86, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x2ac578a7, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x731d249f, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x034aa4b9, "");
SYMBOL_CRC(rtw89_core_init, 0xd4253fe9, "");
SYMBOL_CRC(rtw89_core_deinit, 0x3cd0cbae, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xa42afb2c, "");
SYMBOL_CRC(rtw89_core_register, 0xe0f3b4ac, "");
SYMBOL_CRC(rtw89_core_unregister, 0xbf861fd3, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0xdad874ab, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xcea5cc67, "");
SYMBOL_CRC(rtw89_ops, 0xf71e639f, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xec3249a1, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xa67d813f, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xd3dbabe0, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xc63a6f84, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x7085852d, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x0049c273, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x128a3b5c, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xf8201256, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0x15a9775b, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0x9ed94871, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x683a18e1, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x9f231f22, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x3699a1a6, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xb4e23f34, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xc34c2626, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x3f4badcc, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0xfed5419e, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0xe7af4f79, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xa226e863, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x97886122, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x6c204434, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xf89835a8, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xe5b5fcad, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x0a63896d, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x61abab2f, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x610b7cd1, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x5ec388bd, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xd386968e, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x189e67ad, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0x7a0c96bf, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0x044e3fba, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0x3ec5bf41, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0xc78c2f31, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xac568f3c, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0xa57d94f8, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x5c5799f7, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x848bec41, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x124d9c12, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xd18623da, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x20d0c6eb, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x9dc45f4d, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xb138e23b, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x35e43a54, "");
SYMBOL_CRC(rtw89_ser_notify, 0xd10b2366, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31b6f3ce, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x535f17da, "ieee80211_next_txq" },
	{ 0x2541c790, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf8a52d0c, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad74208d, "skb_push" },
	{ 0x593f683c, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc9a37420, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb559d60f, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4bfc8eaf, "ieee80211_free_txskb" },
	{ 0xb7f91457, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9dae4a76, "ieee80211_alloc_hw_nm" },
	{ 0xee12f9e4, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xec49b780, "ieee80211_ready_on_channel" },
	{ 0xfc0fa061, "ieee80211_stop_queues" },
	{ 0xa4293e5b, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe6fbec03, "ieee80211_scan_completed" },
	{ 0x5304685e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89047601, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd978ea99, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa1995adb, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x17bd5bf, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x516aa061, "ieee80211_cqm_rssi_notify" },
	{ 0x83d9c361, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x7e708004, "ieee80211_queue_work" },
	{ 0x98c72f44, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xf7187e0c, "napi_disable" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd7fcbe4a, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x67653eb6, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x71dbe2f8, "ieee80211_stop_tx_ba_session" },
	{ 0xfff7a962, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4092f1f9, "ieee80211_connection_loss" },
	{ 0x5fde22e0, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa0bdaeb8, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x91d9cd0e, "__ieee80211_schedule_txq" },
	{ 0xf52776a4, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4e88d1d4, "cfg80211_bss_iter" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1bf292ef, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x903f3f81, "ieee80211_free_hw" },
	{ 0xbafcfe71, "ieee80211_probereq_get" },
	{ 0xa9d24f22, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x579cd6c5, "request_firmware" },
	{ 0x4b2c85f7, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x419988ae, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd5bfb20c, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x64686148, "ieee80211_nullfunc_get" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xa5b05356, "ieee80211_pspoll_get" },
	{ 0x5e354760, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x31a08f27, "ieee80211_restart_hw" },
	{ 0x66321b5a, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x812e77a3, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2a63177c, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2a4041eb, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x55c24ee6, "skb_queue_tail" },
	{ 0x4533261c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xcad07a3e, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "975C3DC7FFCB8181263CB71");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
