#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x64c1f00a, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xefe5e30e, "nvme_remove_io_tag_set" },
	{ 0x4413075, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf6c7f6, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf8bc4011, "nvmf_unregister_transport" },
	{ 0x6859fba5, "blkcg_get_fc_appid" },
	{ 0xc4d46cca, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1969c25, "nvme_change_ctrl_state" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xb4cb3329, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x1b8e5c38, "nvme_alloc_io_tag_set" },
	{ 0xc61e2483, "nvme_fail_nonready_command" },
	{ 0xaed620b1, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x80feaa67, "device_create" },
	{ 0xe51fdc14, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xfde56d02, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x625ddb2b, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf84abf6f, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x9dd2f16a, "nvmf_connect_admin_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1a6689bb, "nvme_enable_ctrl" },
	{ 0x1f659765, "nvme_unquiesce_admin_queue" },
	{ 0xc95fbc10, "dma_sync_single_for_cpu" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x526f439b, "nvme_unquiesce_io_queues" },
	{ 0x835b5988, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x951394a6, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x27bf17a7, "nvmf_should_reconnect" },
	{ 0x4b6d9871, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbb078c5b, "device_destroy" },
	{ 0x8e9db49, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xdc979e8c, "nvmf_register_transport" },
	{ 0xadb41918, "blk_mq_start_request" },
	{ 0xcbb18a05, "nvme_quiesce_io_queues" },
	{ 0x1f9b8a08, "blk_mq_tagset_busy_iter" },
	{ 0x61ce1344, "nvme_stop_ctrl" },
	{ 0xd167560b, "dma_unmap_sg_attrs" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x62ebc758, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x9ede0f2, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x121fd33b, "nvme_quiesce_admin_queue" },
	{ 0x8e106c58, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcf126a06, "__nvme_check_ready" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xe3fa3c40, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a80830f, "nvme_remove_admin_tag_set" },
	{ 0x8ccba06d, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb969c581, "nvme_uninit_ctrl" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe5efe24c, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdd8af66e, "nvmf_free_options" },
	{ 0x1ea20fb8, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc4b059ee, "blk_mq_complete_request_remote" },
	{ 0xda539662, "dma_unmap_page_attrs" },
	{ 0x7f2c1212, "nvme_setup_cmd" },
	{ 0x56a87e0c, "nvme_start_ctrl" },
	{ 0x5760580b, "dma_sync_single_for_device" },
	{ 0x355b8c29, "nvme_alloc_admin_tag_set" },
	{ 0xb7c10026, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x595ea986, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe0f85e5a, "nvme_delete_ctrl" },
	{ 0x3d02d01, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x606aa196, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14744c18, "dev_driver_string" },
	{ 0x3ae745ae, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47cde828, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "AF49368A004EE29D17F7D53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
