#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0xdea60052, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x81ce7e0f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x122c3a7e, "_printk" },
	{ 0x17b0f8ca, "wmi_get_event_data" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x2a05aa86, "sysfs_notify" },
	{ 0x478bcc60, "__platform_create_bundle" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x17657e0d, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc578df4f, "device_create_file" },
	{ 0xb21c62c0, "single_open" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0xd57ce9be, "platform_device_unregister" },
	{ 0xdb0dd3e7, "platform_driver_unregister" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xb05d2bca, "input_set_capability" },
	{ 0x42551375, "input_event" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x41973b20, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xe92eb7f, "sparse_keymap_report_event" },
	{ 0x5adb7792, "backlight_force_update" },
	{ 0x3b57bfa2, "led_classdev_notify_brightness_hw_changed" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x3a596b4f, "pci_find_bus" },
	{ 0xa0e999df, "pci_bus_read_config_dword" },
	{ 0x1b8e1442, "pci_get_slot" },
	{ 0x58eed40b, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xb47c61b7, "pci_stop_and_remove_bus_device" },
	{ 0xb190afca, "pci_scan_single_device" },
	{ 0x4db45cf1, "pci_bus_assign_resources" },
	{ 0x88436a13, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x3d3c8b60, "pci_hp_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xc45ad73e, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0xffb9d49c, "backlight_device_unregister" },
	{ 0x2374fd6d, "input_unregister_device" },
	{ 0xadcdfee1, "led_classdev_unregister" },
	{ 0x75f419e5, "debugfs_remove" },
	{ 0xbb440842, "sysfs_remove_group" },
	{ 0xc015055c, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xf0ce6cbf, "sysfs_create_group" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0xdcb82f07, "input_allocate_device" },
	{ 0x56642fbc, "sparse_keymap_setup" },
	{ 0x22072d5c, "input_register_device" },
	{ 0x653fd1d9, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8a7e3026, "led_classdev_register_ext" },
	{ 0xa7cdb013, "input_free_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0xd48fd699, "i8042_install_filter" },
	{ 0x1505c626, "battery_hook_register" },
	{ 0x47d41c8e, "debugfs_create_dir" },
	{ 0xa7b3b607, "debugfs_create_x32" },
	{ 0xd3e64d71, "debugfs_create_file" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0x74a4b18c, "__pci_hp_register" },
	{ 0x32c5c51f, "pci_get_device" },
	{ 0x5ba24109, "pci_read_config_dword" },
	{ 0x1f1b0d97, "pci_write_config_dword" },
	{ 0x4a98b10b, "backlight_device_register" },
	{ 0xc640a690, "seq_lseek" },
	{ 0x461d4dfe, "seq_read" },
	{ 0x5096f5a6, "single_release" },
	{ 0x89047601, "param_ops_bool" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,video,sparse-keymap,battery,ledtrig-audio");


MODULE_INFO(srcversion, "FAE0AA6658DE270A1233E5C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
