#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d6ed0ae, "xhci_stop" },
	{ 0x57fcf05c, "xhci_shutdown" },
	{ 0x59837b25, "xhci_find_slot_id_by_port" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x6e0442a8, "xhci_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfc165ae6, "pci_d3cold_disable" },
	{ 0xe321cc25, "xhci_update_hub_device" },
	{ 0x8131c5dd, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe8d5bb8c, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5d8158e3, "xhci_dbg_trace" },
	{ 0x841ea943, "xhci_run" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfd1b6d6f, "pci_match_id" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0x2d0e98aa, "pci_unregister_driver" },
	{ 0xe2553e82, "__tracepoint_xhci_dbg_quirks" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7aa9bebc, "xhci_gen_setup" },
	{ 0xead215da, "pci_set_mwi" },
	{ 0x1abe4fa0, "pci_read_config_byte" },
	{ 0xa0bdaeb8, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xf92a98df, "__tracepoint_xhci_dbg_init" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xe8e32bbf, "xhci_resume" },
	{ 0xeca3bed7, "usb_enable_intel_xhci_ports" },
	{ 0x491f3928, "__devm_reset_control_get" },
	{ 0x8a2a7ca3, "usb_hcd_pci_probe" },
	{ 0xc33289bf, "usb_create_shared_hcd" },
	{ 0x827c0552, "xhci_ext_cap_init" },
	{ 0x8ee01a01, "renesas_xhci_check_request_fw" },
	{ 0xe579c418, "usb_add_hcd" },
	{ 0xd6af8a45, "pm_runtime_allow" },
	{ 0x405a351f, "__pm_runtime_resume" },
	{ 0x754fa5ac, "usb_hcd_pci_shutdown" },
	{ 0xd6f4f802, "usb_hcd_pci_pm_ops" },
	{ 0x83e9d9e7, "__SCK__tp_func_xhci_dbg_init" },
	{ 0xf41189bc, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73fa70e9, "xhci_init_driver" },
	{ 0xa67d9e0e, "__pci_register_driver" },
	{ 0x844cae70, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x42397177, "pci_choose_state" },
	{ 0xe79590c9, "usb_remove_hcd" },
	{ 0x405f0bf9, "usb_put_hcd" },
	{ 0x96e46f38, "usb_hcd_pci_remove" },
	{ 0x305bde8, "pm_runtime_forbid" },
	{ 0xc2ee7100, "__pm_runtime_idle" },
	{ 0xf8d9b393, "pci_set_power_state" },
	{ 0xcc179008, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5bcd98df, "pci_free_irq_vectors" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore,xhci-pci-renesas");

MODULE_ALIAS("pci:v00001912d00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001912d00000015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "BE30D2620432955929D154E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
