#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_cancel, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x42f6a7b8, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0xb599ab49, "_gpl");
SYMBOL_CRC(dlm_posix_cancel, 0x01676788, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0xe6cf3def, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7758814, "default_llseek" },
	{ 0xb2674f58, "sock_set_reuseaddr" },
	{ 0x8433a8be, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x4248a564, "iov_iter_bvec" },
	{ 0x3df1c366, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ad010e9, "kthread_create_on_node" },
	{ 0x117f3200, "bpf_trace_run3" },
	{ 0x461d4dfe, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd3e64d71, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa11087fa, "config_item_init_type_name" },
	{ 0xd8622b29, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x87e89491, "alloc_pages" },
	{ 0xadd3a735, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6464838e, "kobject_uevent" },
	{ 0x3325fa09, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x83d9c361, "seq_puts" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5096f5a6, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2dbc9ec7, "tcp_sock_set_nodelay" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd0f4bbf7, "seq_open" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb21c62c0, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x47d41c8e, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x424e17da, "sock_bind_add" },
	{ 0x9219395a, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xaba9095, "kmem_cache_destroy" },
	{ 0x635cc102, "release_sock" },
	{ 0xe998a121, "kset_create_and_add" },
	{ 0x37f7b35e, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x405ad70e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8dda8b53, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x69f3e688, "bpf_trace_run4" },
	{ 0x4c6023e8, "config_group_init" },
	{ 0x20978fb9, "idr_find" },
	{ 0x22ccd170, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xb0e602eb, "memmove" },
	{ 0x85f5fd65, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0xb961fa2e, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa133bc6e, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6d3c6db5, "config_item_get" },
	{ 0x3542eedd, "kernel_bind" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x20584dd5, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x2c428f56, "kset_unregister" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xc640a690, "seq_lseek" },
	{ 0xa97fddc6, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xec451f90, "__tracepoint_sk_data_ready" },
	{ 0xd14c4278, "call_srcu" },
	{ 0x2a0118b1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x7360e279, "kernel_accept" },
	{ 0xdc9db5bf, "kernel_recvmsg" },
	{ 0x529a4b58, "kmem_cache_create" },
	{ 0x7a128708, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2ebf98cc, "configfs_unregister_subsystem" },
	{ 0xe08cf7ee, "wake_up_process" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd614d1e, "locks_lock_inode_wait" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18aaa440, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xe820088d, "locks_init_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x313adc44, "__free_pages" },
	{ 0x79f1ecb0, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x28890a6d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x4463ca9b, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x6559924b, "simple_open" },
	{ 0x21cacc2, "configfs_register_subsystem" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2e813a42, "configfs_remove_default_groups" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd2868ac1, "noop_llseek" },
	{ 0x29ba4034, "__SCK__tp_func_sk_data_ready" },
	{ 0x1495e07e, "config_group_init_type_name" },
	{ 0x85520448, "bpf_trace_run5" },
	{ 0x96dc4524, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4014890f, "kmem_cache_free" },
	{ 0x75f419e5, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6cb08af4, "seq_putc" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf1e046cc, "panic" },
	{ 0xe17278fe, "kobject_init_and_add" },
	{ 0x16b4b241, "sock_sendmsg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x16326f0f, "lock_sock_nested" },
	{ 0x1238ccf1, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7217226a, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x38dd58d7, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "117F1AD1E9D87E8729DD81B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
