#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xd27b4084, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x9498fcc6, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x01872f89, "_gpl");
SYMBOL_CRC(fat_scan, 0xd14c9bf4, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xd6d8bfff, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xcd176296, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xde636dbb, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x2e0d57dd, "_gpl");
SYMBOL_CRC(fat_getattr, 0xbb8d1841, "_gpl");
SYMBOL_CRC(fat_setattr, 0x7defa254, "_gpl");
SYMBOL_CRC(fat_attach, 0x918376d4, "_gpl");
SYMBOL_CRC(fat_detach, 0x6ae19292, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x6ba0d6a1, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x8a2723ca, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x8994824a, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xb4975600, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x97d8ff00, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x14b484a8, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xd9331611, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x9e2e8b56, "_gpl");
SYMBOL_CRC(fat_update_time, 0xfe424fa7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e8224ee, "load_nls" },
	{ 0x45267045, "generic_cont_expand_simple" },
	{ 0xdf0c6d0f, "make_kuid" },
	{ 0x9d845400, "truncate_inode_pages_final" },
	{ 0xc24eb596, "generic_file_mmap" },
	{ 0xdcac4bd, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb88da6cd, "ilookup" },
	{ 0x79f1ecb0, "kmem_cache_alloc" },
	{ 0x67aedd61, "invalidate_inode_buffers" },
	{ 0xd8714ac4, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc51a1abe, "mnt_drop_write_file" },
	{ 0x28d2dd38, "inode_init_once" },
	{ 0xcbb5b999, "compat_ptr_ioctl" },
	{ 0x2a68c392, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xc6c2cc9a, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x9b3e3e80, "generic_file_read_iter" },
	{ 0x747da1e1, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x2745c2d3, "truncate_pagecache" },
	{ 0xbfab0402, "sync_dirty_buffer" },
	{ 0x8508d1d1, "setattr_copy" },
	{ 0xc5473f47, "__wait_on_buffer" },
	{ 0x7acd150e, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x4014890f, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe61e13ca, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x28bf0bba, "from_vfsgid" },
	{ 0xb909d660, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2ffd5d0b, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x85a64d50, "__bread_gfp" },
	{ 0x78adcab1, "block_dirty_folio" },
	{ 0x5c6c654e, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x700308e8, "__insert_inode_hash" },
	{ 0x4af554cd, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4f56f4ec, "make_kgid" },
	{ 0x9edba15c, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc7e64ae7, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x20b4ba14, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x11a0d631, "igrab" },
	{ 0x74145b3c, "__getblk_gfp" },
	{ 0xbdc845c, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd4b6f4ab, "mpage_readahead" },
	{ 0x54063ddd, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xc31f7d47, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xea5ff7dc, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x6e0ab064, "blkdev_issue_flush" },
	{ 0x83d9c361, "seq_puts" },
	{ 0x825b63bc, "generic_fh_to_parent" },
	{ 0x9f98bfbc, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x8f379eb2, "from_kuid_munged" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x661ea9fd, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd24fa35, "kmem_cache_alloc_lru" },
	{ 0x843f4466, "__mark_inode_dirty" },
	{ 0xbc315949, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3d7eed94, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x9eed2c00, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x518f42ac, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xaba9095, "kmem_cache_destroy" },
	{ 0xd7904dba, "blkdev_issue_discard" },
	{ 0x458a1843, "filemap_fdatawrite" },
	{ 0x67761e02, "generic_fillattr" },
	{ 0x510dd8fa, "setattr_prepare" },
	{ 0xdaa74bb5, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7c59b0c1, "sync_blockdev_nowait" },
	{ 0xccc8a14c, "make_vfsgid" },
	{ 0xb6c7bd03, "blk_start_plug" },
	{ 0x110be701, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x223d1b85, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x177c686, "new_inode" },
	{ 0x23db6975, "mark_buffer_dirty" },
	{ 0xe1d608da, "security_inode_setattr" },
	{ 0xdccdc08d, "__find_get_block" },
	{ 0xf63ea49c, "filemap_fdatawrite_range" },
	{ 0xfa9dbf45, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x8746516, "__blockdev_direct_IO" },
	{ 0x3293a691, "d_make_root" },
	{ 0xddc68746, "__bforget" },
	{ 0xcc6ee6e8, "sb_set_blocksize" },
	{ 0x3d2a362c, "block_truncate_page" },
	{ 0x4c9eef42, "write_dirty_buffer" },
	{ 0x9fa28669, "sync_filesystem" },
	{ 0x1bf895f7, "fsnotify" },
	{ 0xee1b8ba8, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7023207f, "from_vfsuid" },
	{ 0x34b49582, "inode_dio_wait" },
	{ 0x7a5f6840, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x79b680b2, "cont_write_begin" },
	{ 0xef214213, "iput" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x19142c7c, "iter_file_splice_write" },
	{ 0xab07028d, "generic_file_write_iter" },
	{ 0x529a4b58, "kmem_cache_create" },
	{ 0x63cb05c3, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf9995154, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x42a2efef, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0x966480d4, "block_invalidate_folio" },
	{ 0x77aafd34, "__breadahead" },
	{ 0xcb473117, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9410C7029DFD418F3FB2DEB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
