#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xcbe98000, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0xe9ab73b2, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x720819ee, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x2caf99a5, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0xe1652400, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x07dd3bb4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0xb0d5b0c9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x6263c0f8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0x585c365c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x96055b94, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0xda7df277, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0xc30006ba, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x9ee5c971, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xacfe363e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x0bb86727, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0xfbdd0532, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x4849c657, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0xba9d8e07, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0xa7329694, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0xcbfad75b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0xf0a249a6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0xd87b8241, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0xd0869cef, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x4c8cdff7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x0e54e2a6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x75bcefce, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x1d2e12ce, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x95caee34, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x558b5ec6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xc8f3f6f6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xf0b44418, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5285ef5, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcf8450e8, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4d46cca, "put_device" },
	{ 0xf793432, "snd_hdac_bus_init" },
	{ 0x2f0272c9, "snd_hdac_stream_init" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xc24cb296, "snd_hdac_device_unregister" },
	{ 0xb6c05792, "snd_hdac_stream_assign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5e3c5d5a, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9053f59c, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa78697db, "snd_hdac_bus_init_cmd_io" },
	{ 0x38dab0b2, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xf615f768, "driver_register" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x25503182, "snd_hdac_stream_release" },
	{ 0xc825ed2a, "snd_hdac_stream_release_locked" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
